## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSoundWrapper Struct Reference

This class is a csObject (iObject) wrapper for sound handles. More...

`#include <isound/wrapper.h>`

Inheritance diagram for iSoundWrapper:

[legend]
List of all members.

## Public Member Functions

virtual iSoundHandle * | GetSound ()=0
| Return the sound handle.
virtual iObject * | QueryObject ()=0
| Return the iObject for this sound wrapper.

## Detailed Description

This class is a csObject (iObject) wrapper for sound handles.

Definition at line 30 of file wrapper.h.

## Member Function Documentation

virtual iSoundHandle* iSoundWrapper::GetSound | ( |  | ) | `[pure virtual]`

| Return the sound handle. Implemented in csSoundWrapper.

virtual iObject* iSoundWrapper::QueryObject | ( |  | ) | `[pure virtual]`

| Return the iObject for this sound wrapper. Implemented in csSoundWrapper.

The documentation for this struct was generated from the following file:

- isound/wrapper.h